com.tibbo.aggregate.common.util

## Class DashboardProperties

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.DashboardProperties

-     public class DashboardProperties
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DESTINATION_DESKTOP`
    `static int` | `DESTINATION_WEB`
    `static java.lang.String` | `FIELD_CLEANUP`
    `static java.lang.String` | `FIELD_CLOSABLE`
    `static java.lang.String` | `FIELD_CLOSE_DASHBOARD_ON_REOPEN`
    `static java.lang.String` | `FIELD_COLUMNS`
    `static java.lang.String` | `FIELD_DASHBOARD_CONTEXT`
    `static java.lang.String` | `FIELD_DEFAULT_EVENT`
    `static java.lang.String` | `FIELD_DESCRIPTION`
    `static java.lang.String` | `FIELD_ELEMENT_ID`
    `static java.lang.String` | `FIELD_LAYOUT`
    `static java.lang.String` | `FIELD_NAME`
    `static java.lang.String` | `FIELD_PARENT_ELEMENT_ID`
    `static java.lang.String` | `FIELD_STORAGE_CLASS`
    `static java.lang.String` | `FIELD_STORAGE_CONTEXT`
    `static java.lang.String` | `FIELD_STORAGE_INSTANCE_ID`
    `static java.lang.String` | `FIELD_STORAGE_SESSION_ID`
    `static TableFormat` | `FORMAT`
    `static int` | `LAYOUT_ABSOLUTE`
    `static int` | `LAYOUT_DOCKABLE`
    `static int` | `LAYOUT_DOCKABLE_WEB`
    `static int` | `LAYOUT_GRID`
    `static int` | `LAYOUT_SCROLLABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardProperties()`
    `DashboardProperties(DataRecord data)`
    `DashboardProperties(java.lang.String name, java.lang.String description)`
    `DashboardProperties(java.lang.String name, java.lang.String description, int layout)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DashboardProperties` | `copy()`
    `DashboardProperties` | `copyWithNameAndDescription(java.lang.String nameString, java.lang.String descriptionString)`
    `int` | `getColumns()`
    `java.lang.String` | `getDashboardContext()`
    `java.lang.String` | `getDefaultEvent()`
    `java.lang.String` | `getDescription()`
    `int` | `getDestination()`
    `java.lang.String` | `getElementId()`
    `static java.lang.String` | `getFieldStorageSessionId()`
    `int` | `getLayout()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParentElementId()`
    `java.lang.String` | `getStorageClass()`
    `java.lang.String` | `getStorageContext()`
    `java.lang.Long` | `getStorageSessionId()`
    `boolean` | `isCleanup()`
    `boolean` | `isClosable()`
    `boolean` | `isCloseDashboardOnReopen()`
    `void` | `setCleanup(boolean cleanup)`
    `void` | `setClosable(boolean closable)`
    `void` | `setCloseDashboardOnReopen(boolean closeDashboardOnReopen)`
    `void` | `setColumns(int columns)`
    `void` | `setDashboardContext(java.lang.String dashboardContextString)`
    `void` | `setDefaultEvent(java.lang.String defaultEvent)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setDestination(int destination)`
    `void` | `setElementId(java.lang.String elementIdString)`
    `void` | `setLayout(int layout)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParentElementId(java.lang.String parentElementId)`
    `void` | `setStorageClass(java.lang.String className)`
    `void` | `setStorageContext(java.lang.String storageContext)`
    `void` | `setStorageSessionId(java.lang.Long storageSessionId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_DESCRIPTION

          public static final java.lang.String FIELD_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_LAYOUT

          public static final java.lang.String FIELD_LAYOUT

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS

          public static final java.lang.String FIELD_COLUMNS

      See Also:
        Constant Field Values

    - #### FIELD_CLOSABLE

          public static final java.lang.String FIELD_CLOSABLE

      See Also:
        Constant Field Values

    - #### FIELD_CLEANUP

          public static final java.lang.String FIELD_CLEANUP

      See Also:
        Constant Field Values

    - #### FIELD_STORAGE_CONTEXT

          public static final java.lang.String FIELD_STORAGE_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_STORAGE_CLASS

          public static final java.lang.String FIELD_STORAGE_CLASS

      See Also:
        Constant Field Values

    - #### FIELD_STORAGE_SESSION_ID

          public static final java.lang.String FIELD_STORAGE_SESSION_ID

      See Also:
        Constant Field Values

    - #### FIELD_DEFAULT_EVENT

          public static final java.lang.String FIELD_DEFAULT_EVENT

      See Also:
        Constant Field Values

    - #### FIELD_STORAGE_INSTANCE_ID

          public static final java.lang.String FIELD_STORAGE_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIELD_DASHBOARD_CONTEXT

          public static final java.lang.String FIELD_DASHBOARD_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_ELEMENT_ID

          public static final java.lang.String FIELD_ELEMENT_ID

      See Also:
        Constant Field Values

    - #### FIELD_PARENT_ELEMENT_ID

          public static final java.lang.String FIELD_PARENT_ELEMENT_ID

      See Also:
        Constant Field Values

    - #### FIELD_CLOSE_DASHBOARD_ON_REOPEN

          public static final java.lang.String FIELD_CLOSE_DASHBOARD_ON_REOPEN

      See Also:
        Constant Field Values

    - #### LAYOUT_DOCKABLE

          public static final int LAYOUT_DOCKABLE

      See Also:
        Constant Field Values

    - #### LAYOUT_SCROLLABLE

          public static final int LAYOUT_SCROLLABLE

      See Also:
        Constant Field Values

    - #### LAYOUT_GRID

          public static final int LAYOUT_GRID

      See Also:
        Constant Field Values

    - #### LAYOUT_ABSOLUTE

          public static final int LAYOUT_ABSOLUTE

      See Also:
        Constant Field Values

    - #### LAYOUT_DOCKABLE_WEB

          public static final int LAYOUT_DOCKABLE_WEB

      See Also:
        Constant Field Values

    - #### DESTINATION_WEB

          public static final int DESTINATION_WEB

      See Also:
        Constant Field Values

    - #### DESTINATION_DESKTOP

          public static final int DESTINATION_DESKTOP

      See Also:
        Constant Field Values

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### DashboardProperties

          public DashboardProperties()

    - #### DashboardProperties

          public DashboardProperties(DataRecord data)

    - #### DashboardProperties

          public DashboardProperties(java.lang.String name,
                                     java.lang.String description)

    - #### DashboardProperties

          public DashboardProperties(java.lang.String name,
                                     java.lang.String description,
                                     int layout)

  - ### Method Detail

    - #### isCloseDashboardOnReopen

          public boolean isCloseDashboardOnReopen()

    - #### setCloseDashboardOnReopen

          public void setCloseDashboardOnReopen(boolean closeDashboardOnReopen)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getDestination

          public int getDestination()

    - #### setDestination

          public void setDestination(int destination)

    - #### getLayout

          public int getLayout()

    - #### setLayout

          public void setLayout(int layout)

    - #### getColumns

          public int getColumns()

    - #### setColumns

          public void setColumns(int columns)

    - #### setClosable

          public void setClosable(boolean closable)

    - #### isCleanup

          public boolean isCleanup()

    - #### setCleanup

          public void setCleanup(boolean cleanup)

    - #### isClosable

          public boolean isClosable()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStorageContext

          public java.lang.String getStorageContext()

    - #### setStorageContext

          public void setStorageContext(java.lang.String storageContext)

    - #### getStorageClass

          public java.lang.String getStorageClass()

    - #### setStorageClass

          public void setStorageClass(java.lang.String className)

    - #### getStorageSessionId

          public java.lang.Long getStorageSessionId()

    - #### setStorageSessionId

          public void setStorageSessionId(java.lang.Long storageSessionId)

    - #### getFieldStorageSessionId

          public static java.lang.String getFieldStorageSessionId()

    - #### getDefaultEvent

          public java.lang.String getDefaultEvent()

    - #### setDefaultEvent

          public void setDefaultEvent(java.lang.String defaultEvent)

    - #### getDashboardContext

          public java.lang.String getDashboardContext()

    - #### setDashboardContext

          public void setDashboardContext(java.lang.String dashboardContextString)

    - #### getElementId

          public java.lang.String getElementId()

    - #### setElementId

          public void setElementId(java.lang.String elementIdString)

    - #### getParentElementId

          public java.lang.String getParentElementId()

    - #### setParentElementId

          public void setParentElementId(java.lang.String parentElementId)

    - #### copy

          public DashboardProperties copy()

    - #### copyWithNameAndDescription

          public DashboardProperties copyWithNameAndDescription(java.lang.String nameString,
                                                                java.lang.String descriptionString)